]> git.sur5r.net Git - tio/blob - Makefile.in
Merge tag 'upstream/1.18'
[tio] / Makefile.in
1 # Makefile.in generated by automake 1.15 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16 VPATH = @srcdir@
17 am__is_gnu_make = { \
18   if test -z '$(MAKELEVEL)'; then \
19     false; \
20   elif test -n '$(MAKE_HOST)'; then \
21     true; \
22   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
23     true; \
24   else \
25     false; \
26   fi; \
27 }
28 am__make_running_with_option = \
29   case $${target_option-} in \
30       ?) ;; \
31       *) echo "am__make_running_with_option: internal error: invalid" \
32               "target option '$${target_option-}' specified" >&2; \
33          exit 1;; \
34   esac; \
35   has_opt=no; \
36   sane_makeflags=$$MAKEFLAGS; \
37   if $(am__is_gnu_make); then \
38     sane_makeflags=$$MFLAGS; \
39   else \
40     case $$MAKEFLAGS in \
41       *\\[\ \   ]*) \
42         bs=\\; \
43         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
44           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
45     esac; \
46   fi; \
47   skip_next=no; \
48   strip_trailopt () \
49   { \
50     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
51   }; \
52   for flg in $$sane_makeflags; do \
53     test $$skip_next = yes && { skip_next=no; continue; }; \
54     case $$flg in \
55       *=*|--*) continue;; \
56         -*I) strip_trailopt 'I'; skip_next=yes;; \
57       -*I?*) strip_trailopt 'I';; \
58         -*O) strip_trailopt 'O'; skip_next=yes;; \
59       -*O?*) strip_trailopt 'O';; \
60         -*l) strip_trailopt 'l'; skip_next=yes;; \
61       -*l?*) strip_trailopt 'l';; \
62       -[dEDm]) skip_next=yes;; \
63       -[JT]) skip_next=yes;; \
64     esac; \
65     case $$flg in \
66       *$$target_option*) has_opt=yes; break;; \
67     esac; \
68   done; \
69   test $$has_opt = yes
70 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
71 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
72 pkgdatadir = $(datadir)/@PACKAGE@
73 pkgincludedir = $(includedir)/@PACKAGE@
74 pkglibdir = $(libdir)/@PACKAGE@
75 pkglibexecdir = $(libexecdir)/@PACKAGE@
76 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
77 install_sh_DATA = $(install_sh) -c -m 644
78 install_sh_PROGRAM = $(install_sh) -c
79 install_sh_SCRIPT = $(install_sh) -c
80 INSTALL_HEADER = $(INSTALL_DATA)
81 transform = $(program_transform_name)
82 NORMAL_INSTALL = :
83 PRE_INSTALL = :
84 POST_INSTALL = :
85 NORMAL_UNINSTALL = :
86 PRE_UNINSTALL = :
87 POST_UNINSTALL = :
88 subdir = .
89 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
90 am__aclocal_m4_deps = $(top_srcdir)/configure.ac
91 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
92         $(ACLOCAL_M4)
93 DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
94         $(am__configure_deps) $(am__DIST_COMMON)
95 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
96  configure.lineno config.status.lineno
97 mkinstalldirs = $(install_sh) -d
98 CONFIG_HEADER = $(top_builddir)/src/include/config.h
99 CONFIG_CLEAN_FILES = src/bash-completion/tio
100 CONFIG_CLEAN_VPATH_FILES =
101 AM_V_P = $(am__v_P_@AM_V@)
102 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
103 am__v_P_0 = false
104 am__v_P_1 = :
105 AM_V_GEN = $(am__v_GEN_@AM_V@)
106 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
107 am__v_GEN_0 = @echo "  GEN     " $@;
108 am__v_GEN_1 = 
109 AM_V_at = $(am__v_at_@AM_V@)
110 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
111 am__v_at_0 = @
112 am__v_at_1 = 
113 SOURCES =
114 DIST_SOURCES =
115 RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
116         ctags-recursive dvi-recursive html-recursive info-recursive \
117         install-data-recursive install-dvi-recursive \
118         install-exec-recursive install-html-recursive \
119         install-info-recursive install-pdf-recursive \
120         install-ps-recursive install-recursive installcheck-recursive \
121         installdirs-recursive pdf-recursive ps-recursive \
122         tags-recursive uninstall-recursive
123 am__can_run_installinfo = \
124   case $$AM_UPDATE_INFO_DIR in \
125     n|no|NO) false;; \
126     *) (install-info --version) >/dev/null 2>&1;; \
127   esac
128 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
129   distclean-recursive maintainer-clean-recursive
130 am__recursive_targets = \
131   $(RECURSIVE_TARGETS) \
132   $(RECURSIVE_CLEAN_TARGETS) \
133   $(am__extra_recursive_targets)
134 AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
135         cscope distdir dist dist-all distcheck
136 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
137 # Read a list of newline-separated strings from the standard input,
138 # and print each of them once, without duplicates.  Input order is
139 # *not* preserved.
140 am__uniquify_input = $(AWK) '\
141   BEGIN { nonempty = 0; } \
142   { items[$$0] = 1; nonempty = 1; } \
143   END { if (nonempty) { for (i in items) print i; }; } \
144 '
145 # Make sure the list of sources is unique.  This is necessary because,
146 # e.g., the same source file might be shared among _SOURCES variables
147 # for different programs/libraries.
148 am__define_uniq_tagged_files = \
149   list='$(am__tagged_files)'; \
150   unique=`for i in $$list; do \
151     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
152   done | $(am__uniquify_input)`
153 ETAGS = etags
154 CTAGS = ctags
155 CSCOPE = cscope
156 DIST_SUBDIRS = $(SUBDIRS)
157 am__DIST_COMMON = $(srcdir)/Makefile.in \
158         $(top_srcdir)/src/bash-completion/tio.in \
159         $(top_srcdir)/src/include/config.h.in AUTHORS COPYING \
160         ChangeLog INSTALL README compile depcomp install-sh missing
161 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
162 distdir = $(PACKAGE)-$(VERSION)
163 top_distdir = $(distdir)
164 am__remove_distdir = \
165   if test -d "$(distdir)"; then \
166     find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
167       && rm -rf "$(distdir)" \
168       || { sleep 5 && rm -rf "$(distdir)"; }; \
169   else :; fi
170 am__post_remove_distdir = $(am__remove_distdir)
171 am__relativize = \
172   dir0=`pwd`; \
173   sed_first='s,^\([^/]*\)/.*$$,\1,'; \
174   sed_rest='s,^[^/]*/*,,'; \
175   sed_last='s,^.*/\([^/]*\)$$,\1,'; \
176   sed_butlast='s,/*[^/]*$$,,'; \
177   while test -n "$$dir1"; do \
178     first=`echo "$$dir1" | sed -e "$$sed_first"`; \
179     if test "$$first" != "."; then \
180       if test "$$first" = ".."; then \
181         dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
182         dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
183       else \
184         first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
185         if test "$$first2" = "$$first"; then \
186           dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
187         else \
188           dir2="../$$dir2"; \
189         fi; \
190         dir0="$$dir0"/"$$first"; \
191       fi; \
192     fi; \
193     dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
194   done; \
195   reldir="$$dir2"
196 GZIP_ENV = --best
197 DIST_ARCHIVES = $(distdir).tar.xz
198 DIST_TARGETS = dist-xz
199 distuninstallcheck_listfiles = find . -type f -print
200 am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
201   | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
202 distcleancheck_listfiles = find . -type f -print
203 ACLOCAL = @ACLOCAL@
204 AMTAR = @AMTAR@
205 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
206 AUTOCONF = @AUTOCONF@
207 AUTOHEADER = @AUTOHEADER@
208 AUTOMAKE = @AUTOMAKE@
209 AWK = @AWK@
210 BASH_COMPLETION_CFLAGS = @BASH_COMPLETION_CFLAGS@
211 BASH_COMPLETION_DIR = @BASH_COMPLETION_DIR@
212 BASH_COMPLETION_LIBS = @BASH_COMPLETION_LIBS@
213 BAUDRATES = @BAUDRATES@
214 BAUDRATE_CASES = @BAUDRATE_CASES@
215 CC = @CC@
216 CCDEPMODE = @CCDEPMODE@
217 CFLAGS = @CFLAGS@
218 CPPFLAGS = @CPPFLAGS@
219 CYGPATH_W = @CYGPATH_W@
220 DEFS = @DEFS@
221 DEPDIR = @DEPDIR@
222 ECHO_C = @ECHO_C@
223 ECHO_N = @ECHO_N@
224 ECHO_T = @ECHO_T@
225 EXEEXT = @EXEEXT@
226 INSTALL = @INSTALL@
227 INSTALL_DATA = @INSTALL_DATA@
228 INSTALL_PROGRAM = @INSTALL_PROGRAM@
229 INSTALL_SCRIPT = @INSTALL_SCRIPT@
230 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
231 LDFLAGS = @LDFLAGS@
232 LIBOBJS = @LIBOBJS@
233 LIBS = @LIBS@
234 LTLIBOBJS = @LTLIBOBJS@
235 MAKEINFO = @MAKEINFO@
236 MKDIR_P = @MKDIR_P@
237 OBJEXT = @OBJEXT@
238 PACKAGE = @PACKAGE@
239 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
240 PACKAGE_NAME = @PACKAGE_NAME@
241 PACKAGE_STRING = @PACKAGE_STRING@
242 PACKAGE_TARNAME = @PACKAGE_TARNAME@
243 PACKAGE_URL = @PACKAGE_URL@
244 PACKAGE_VERSION = @PACKAGE_VERSION@
245 PATH_SEPARATOR = @PATH_SEPARATOR@
246 PKG_CONFIG = @PKG_CONFIG@
247 PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
248 PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
249 SET_MAKE = @SET_MAKE@
250 SHELL = @SHELL@
251 STRIP = @STRIP@
252 VERSION = @VERSION@
253 abs_builddir = @abs_builddir@
254 abs_srcdir = @abs_srcdir@
255 abs_top_builddir = @abs_top_builddir@
256 abs_top_srcdir = @abs_top_srcdir@
257 ac_ct_CC = @ac_ct_CC@
258 am__include = @am__include@
259 am__leading_dot = @am__leading_dot@
260 am__quote = @am__quote@
261 am__tar = @am__tar@
262 am__untar = @am__untar@
263 bindir = @bindir@
264 build_alias = @build_alias@
265 builddir = @builddir@
266 datadir = @datadir@
267 datarootdir = @datarootdir@
268 docdir = @docdir@
269 dvidir = @dvidir@
270 exec_prefix = @exec_prefix@
271 host_alias = @host_alias@
272 htmldir = @htmldir@
273 includedir = @includedir@
274 infodir = @infodir@
275 install_sh = @install_sh@
276 libdir = @libdir@
277 libexecdir = @libexecdir@
278 localedir = @localedir@
279 localstatedir = @localstatedir@
280 mandir = @mandir@
281 mkdir_p = @mkdir_p@
282 oldincludedir = @oldincludedir@
283 pdfdir = @pdfdir@
284 prefix = @prefix@
285 program_transform_name = @program_transform_name@
286 psdir = @psdir@
287 runstatedir = @runstatedir@
288 sbindir = @sbindir@
289 sharedstatedir = @sharedstatedir@
290 srcdir = @srcdir@
291 sysconfdir = @sysconfdir@
292 target_alias = @target_alias@
293 top_build_prefix = @top_build_prefix@
294 top_builddir = @top_builddir@
295 top_srcdir = @top_srcdir@
296 SUBDIRS = src man
297 all: all-recursive
298
299 .SUFFIXES:
300 am--refresh: Makefile
301         @:
302 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
303         @for dep in $?; do \
304           case '$(am__configure_deps)' in \
305             *$$dep*) \
306               echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
307               $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
308                 && exit 0; \
309               exit 1;; \
310           esac; \
311         done; \
312         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
313         $(am__cd) $(top_srcdir) && \
314           $(AUTOMAKE) --foreign Makefile
315 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
316         @case '$?' in \
317           *config.status*) \
318             echo ' $(SHELL) ./config.status'; \
319             $(SHELL) ./config.status;; \
320           *) \
321             echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
322             cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
323         esac;
324
325 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
326         $(SHELL) ./config.status --recheck
327
328 $(top_srcdir)/configure:  $(am__configure_deps)
329         $(am__cd) $(srcdir) && $(AUTOCONF)
330 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
331         $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
332 $(am__aclocal_m4_deps):
333
334 src/include/config.h: src/include/stamp-h1
335         @test -f $@ || rm -f src/include/stamp-h1
336         @test -f $@ || $(MAKE) $(AM_MAKEFLAGS) src/include/stamp-h1
337
338 src/include/stamp-h1: $(top_srcdir)/src/include/config.h.in $(top_builddir)/config.status
339         @rm -f src/include/stamp-h1
340         cd $(top_builddir) && $(SHELL) ./config.status src/include/config.h
341 $(top_srcdir)/src/include/config.h.in:  $(am__configure_deps) 
342         ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
343         rm -f src/include/stamp-h1
344         touch $@
345
346 distclean-hdr:
347         -rm -f src/include/config.h src/include/stamp-h1
348 src/bash-completion/tio: $(top_builddir)/config.status $(top_srcdir)/src/bash-completion/tio.in
349         cd $(top_builddir) && $(SHELL) ./config.status $@
350
351 # This directory's subdirectories are mostly independent; you can cd
352 # into them and run 'make' without going through this Makefile.
353 # To change the values of 'make' variables: instead of editing Makefiles,
354 # (1) if the variable is set in 'config.status', edit 'config.status'
355 #     (which will cause the Makefiles to be regenerated when you run 'make');
356 # (2) otherwise, pass the desired values on the 'make' command line.
357 $(am__recursive_targets):
358         @fail=; \
359         if $(am__make_keepgoing); then \
360           failcom='fail=yes'; \
361         else \
362           failcom='exit 1'; \
363         fi; \
364         dot_seen=no; \
365         target=`echo $@ | sed s/-recursive//`; \
366         case "$@" in \
367           distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
368           *) list='$(SUBDIRS)' ;; \
369         esac; \
370         for subdir in $$list; do \
371           echo "Making $$target in $$subdir"; \
372           if test "$$subdir" = "."; then \
373             dot_seen=yes; \
374             local_target="$$target-am"; \
375           else \
376             local_target="$$target"; \
377           fi; \
378           ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
379           || eval $$failcom; \
380         done; \
381         if test "$$dot_seen" = "no"; then \
382           $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
383         fi; test -z "$$fail"
384
385 ID: $(am__tagged_files)
386         $(am__define_uniq_tagged_files); mkid -fID $$unique
387 tags: tags-recursive
388 TAGS: tags
389
390 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
391         set x; \
392         here=`pwd`; \
393         if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
394           include_option=--etags-include; \
395           empty_fix=.; \
396         else \
397           include_option=--include; \
398           empty_fix=; \
399         fi; \
400         list='$(SUBDIRS)'; for subdir in $$list; do \
401           if test "$$subdir" = .; then :; else \
402             test ! -f $$subdir/TAGS || \
403               set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
404           fi; \
405         done; \
406         $(am__define_uniq_tagged_files); \
407         shift; \
408         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
409           test -n "$$unique" || unique=$$empty_fix; \
410           if test $$# -gt 0; then \
411             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
412               "$$@" $$unique; \
413           else \
414             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
415               $$unique; \
416           fi; \
417         fi
418 ctags: ctags-recursive
419
420 CTAGS: ctags
421 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
422         $(am__define_uniq_tagged_files); \
423         test -z "$(CTAGS_ARGS)$$unique" \
424           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
425              $$unique
426
427 GTAGS:
428         here=`$(am__cd) $(top_builddir) && pwd` \
429           && $(am__cd) $(top_srcdir) \
430           && gtags -i $(GTAGS_ARGS) "$$here"
431 cscope: cscope.files
432         test ! -s cscope.files \
433           || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
434 clean-cscope:
435         -rm -f cscope.files
436 cscope.files: clean-cscope cscopelist
437 cscopelist: cscopelist-recursive
438
439 cscopelist-am: $(am__tagged_files)
440         list='$(am__tagged_files)'; \
441         case "$(srcdir)" in \
442           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
443           *) sdir=$(subdir)/$(srcdir) ;; \
444         esac; \
445         for i in $$list; do \
446           if test -f "$$i"; then \
447             echo "$(subdir)/$$i"; \
448           else \
449             echo "$$sdir/$$i"; \
450           fi; \
451         done >> $(top_builddir)/cscope.files
452
453 distclean-tags:
454         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
455         -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
456
457 distdir: $(DISTFILES)
458         $(am__remove_distdir)
459         test -d "$(distdir)" || mkdir "$(distdir)"
460         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
461         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
462         list='$(DISTFILES)'; \
463           dist_files=`for file in $$list; do echo $$file; done | \
464           sed -e "s|^$$srcdirstrip/||;t" \
465               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
466         case $$dist_files in \
467           */*) $(MKDIR_P) `echo "$$dist_files" | \
468                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
469                            sort -u` ;; \
470         esac; \
471         for file in $$dist_files; do \
472           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
473           if test -d $$d/$$file; then \
474             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
475             if test -d "$(distdir)/$$file"; then \
476               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
477             fi; \
478             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
479               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
480               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
481             fi; \
482             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
483           else \
484             test -f "$(distdir)/$$file" \
485             || cp -p $$d/$$file "$(distdir)/$$file" \
486             || exit 1; \
487           fi; \
488         done
489         @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
490           if test "$$subdir" = .; then :; else \
491             $(am__make_dryrun) \
492               || test -d "$(distdir)/$$subdir" \
493               || $(MKDIR_P) "$(distdir)/$$subdir" \
494               || exit 1; \
495             dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
496             $(am__relativize); \
497             new_distdir=$$reldir; \
498             dir1=$$subdir; dir2="$(top_distdir)"; \
499             $(am__relativize); \
500             new_top_distdir=$$reldir; \
501             echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
502             echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
503             ($(am__cd) $$subdir && \
504               $(MAKE) $(AM_MAKEFLAGS) \
505                 top_distdir="$$new_top_distdir" \
506                 distdir="$$new_distdir" \
507                 am__remove_distdir=: \
508                 am__skip_length_check=: \
509                 am__skip_mode_fix=: \
510                 distdir) \
511               || exit 1; \
512           fi; \
513         done
514         -test -n "$(am__skip_mode_fix)" \
515         || find "$(distdir)" -type d ! -perm -755 \
516                 -exec chmod u+rwx,go+rx {} \; -o \
517           ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
518           ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
519           ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
520         || chmod -R a+r "$(distdir)"
521 dist-gzip: distdir
522         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
523         $(am__post_remove_distdir)
524
525 dist-bzip2: distdir
526         tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
527         $(am__post_remove_distdir)
528
529 dist-lzip: distdir
530         tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
531         $(am__post_remove_distdir)
532 dist-xz: distdir
533         tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
534         $(am__post_remove_distdir)
535
536 dist-tarZ: distdir
537         @echo WARNING: "Support for distribution archives compressed with" \
538                        "legacy program 'compress' is deprecated." >&2
539         @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
540         tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
541         $(am__post_remove_distdir)
542
543 dist-shar: distdir
544         @echo WARNING: "Support for shar distribution archives is" \
545                        "deprecated." >&2
546         @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
547         shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
548         $(am__post_remove_distdir)
549
550 dist-zip: distdir
551         -rm -f $(distdir).zip
552         zip -rq $(distdir).zip $(distdir)
553         $(am__post_remove_distdir)
554
555 dist dist-all:
556         $(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
557         $(am__post_remove_distdir)
558
559 # This target untars the dist file and tries a VPATH configuration.  Then
560 # it guarantees that the distribution is self-contained by making another
561 # tarfile.
562 distcheck: dist
563         case '$(DIST_ARCHIVES)' in \
564         *.tar.gz*) \
565           GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
566         *.tar.bz2*) \
567           bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
568         *.tar.lz*) \
569           lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
570         *.tar.xz*) \
571           xz -dc $(distdir).tar.xz | $(am__untar) ;;\
572         *.tar.Z*) \
573           uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
574         *.shar.gz*) \
575           GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
576         *.zip*) \
577           unzip $(distdir).zip ;;\
578         esac
579         chmod -R a-w $(distdir)
580         chmod u+w $(distdir)
581         mkdir $(distdir)/_build $(distdir)/_build/sub $(distdir)/_inst
582         chmod a-w $(distdir)
583         test -d $(distdir)/_build || exit 0; \
584         dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
585           && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
586           && am__cwd=`pwd` \
587           && $(am__cd) $(distdir)/_build/sub \
588           && ../../configure \
589             $(AM_DISTCHECK_CONFIGURE_FLAGS) \
590             $(DISTCHECK_CONFIGURE_FLAGS) \
591             --srcdir=../.. --prefix="$$dc_install_base" \
592           && $(MAKE) $(AM_MAKEFLAGS) \
593           && $(MAKE) $(AM_MAKEFLAGS) dvi \
594           && $(MAKE) $(AM_MAKEFLAGS) check \
595           && $(MAKE) $(AM_MAKEFLAGS) install \
596           && $(MAKE) $(AM_MAKEFLAGS) installcheck \
597           && $(MAKE) $(AM_MAKEFLAGS) uninstall \
598           && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
599                 distuninstallcheck \
600           && chmod -R a-w "$$dc_install_base" \
601           && ({ \
602                (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
603                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
604                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
605                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
606                     distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
607               } || { rm -rf "$$dc_destdir"; exit 1; }) \
608           && rm -rf "$$dc_destdir" \
609           && $(MAKE) $(AM_MAKEFLAGS) dist \
610           && rm -rf $(DIST_ARCHIVES) \
611           && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
612           && cd "$$am__cwd" \
613           || exit 1
614         $(am__post_remove_distdir)
615         @(echo "$(distdir) archives ready for distribution: "; \
616           list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
617           sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
618 distuninstallcheck:
619         @test -n '$(distuninstallcheck_dir)' || { \
620           echo 'ERROR: trying to run $@ with an empty' \
621                '$$(distuninstallcheck_dir)' >&2; \
622           exit 1; \
623         }; \
624         $(am__cd) '$(distuninstallcheck_dir)' || { \
625           echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
626           exit 1; \
627         }; \
628         test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
629            || { echo "ERROR: files left after uninstall:" ; \
630                 if test -n "$(DESTDIR)"; then \
631                   echo "  (check DESTDIR support)"; \
632                 fi ; \
633                 $(distuninstallcheck_listfiles) ; \
634                 exit 1; } >&2
635 distcleancheck: distclean
636         @if test '$(srcdir)' = . ; then \
637           echo "ERROR: distcleancheck can only run from a VPATH build" ; \
638           exit 1 ; \
639         fi
640         @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
641           || { echo "ERROR: files left in build directory after distclean:" ; \
642                $(distcleancheck_listfiles) ; \
643                exit 1; } >&2
644 check-am: all-am
645 check: check-recursive
646 all-am: Makefile
647 installdirs: installdirs-recursive
648 installdirs-am:
649 install: install-recursive
650 install-exec: install-exec-recursive
651 install-data: install-data-recursive
652 uninstall: uninstall-recursive
653
654 install-am: all-am
655         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
656
657 installcheck: installcheck-recursive
658 install-strip:
659         if test -z '$(STRIP)'; then \
660           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
661             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
662               install; \
663         else \
664           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
665             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
666             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
667         fi
668 mostlyclean-generic:
669
670 clean-generic:
671
672 distclean-generic:
673         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
674         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
675
676 maintainer-clean-generic:
677         @echo "This command is intended for maintainers to use"
678         @echo "it deletes files that may require special tools to rebuild."
679 clean: clean-recursive
680
681 clean-am: clean-generic mostlyclean-am
682
683 distclean: distclean-recursive
684         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
685         -rm -f Makefile
686 distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
687
688 dvi: dvi-recursive
689
690 dvi-am:
691
692 html: html-recursive
693
694 html-am:
695
696 info: info-recursive
697
698 info-am:
699
700 install-data-am:
701
702 install-dvi: install-dvi-recursive
703
704 install-dvi-am:
705
706 install-exec-am:
707
708 install-html: install-html-recursive
709
710 install-html-am:
711
712 install-info: install-info-recursive
713
714 install-info-am:
715
716 install-man:
717
718 install-pdf: install-pdf-recursive
719
720 install-pdf-am:
721
722 install-ps: install-ps-recursive
723
724 install-ps-am:
725
726 installcheck-am:
727
728 maintainer-clean: maintainer-clean-recursive
729         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
730         -rm -rf $(top_srcdir)/autom4te.cache
731         -rm -f Makefile
732 maintainer-clean-am: distclean-am maintainer-clean-generic
733
734 mostlyclean: mostlyclean-recursive
735
736 mostlyclean-am: mostlyclean-generic
737
738 pdf: pdf-recursive
739
740 pdf-am:
741
742 ps: ps-recursive
743
744 ps-am:
745
746 uninstall-am:
747
748 .MAKE: $(am__recursive_targets) install-am install-strip
749
750 .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
751         am--refresh check check-am clean clean-cscope clean-generic \
752         cscope cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
753         dist-gzip dist-lzip dist-shar dist-tarZ dist-xz dist-zip \
754         distcheck distclean distclean-generic distclean-hdr \
755         distclean-tags distcleancheck distdir distuninstallcheck dvi \
756         dvi-am html html-am info info-am install install-am \
757         install-data install-data-am install-dvi install-dvi-am \
758         install-exec install-exec-am install-html install-html-am \
759         install-info install-info-am install-man install-pdf \
760         install-pdf-am install-ps install-ps-am install-strip \
761         installcheck installcheck-am installdirs installdirs-am \
762         maintainer-clean maintainer-clean-generic mostlyclean \
763         mostlyclean-generic pdf pdf-am ps ps-am tags tags-am uninstall \
764         uninstall-am
765
766 .PRECIOUS: Makefile
767
768
769 # Tell versions [3.59,3.63) of GNU make to not export all variables.
770 # Otherwise a system limit (for SysV at least) may be exceeded.
771 .NOEXPORT: